QCA::TLSSession Class Reference
QCA user API

`#include <QtCrypto>`

Collaboration diagram for QCA::TLSSession:
[legend]

## Public Member Functions

bool | isNull () const
TLSSession & | operator= (const TLSSession &from)
| TLSSession (const TLSSession &from)
Public Member Functions inherited from QCA::Algorithm
| Algorithm (const Algorithm &from)
void | change (const QString &type, const QString &provider)
void | change (Provider::Context *c)
Provider::Context * | context ()
const Provider::Context * | context () const
Algorithm & | operator= (const Algorithm &from)
Provider * | provider () const
Provider::Context * | takeContext ()
QString | type () const

## Additional Inherited Members

Protected Member Functions inherited from QCA::Algorithm
| Algorithm ()
| Algorithm (const QString &type, const QString &provider)

## Detailed Description

Session token, used for TLS resuming.

## Constructor & Destructor Documentation

## TLSSession()

QCA::TLSSession::TLSSession | ( | const TLSSession & | from | ) |

Copy constructor.

Parameters

  from | the session token to copy from

## Member Function Documentation

## operator=()

TLSSession & QCA::TLSSession::operator= | ( | const TLSSession & | from | ) |

Assignment operator.

Parameters

  from | the session token to assign from

## isNull()

bool QCA::TLSSession::isNull | ( |  | ) | const

Test if the session token is valid.

The documentation for this class was generated from the following file:

- qca_securelayer.h